pqxx::quiet_errorhandler Class Reference
Errorhandler

An error handler that suppresses any previously registered error handlers. More...

`#include <errorhandler.hxx>`

Inheritance diagram for pqxx::quiet_errorhandler:
[legend]

## Public Member Functions

| quiet_errorhandler (connection_base &conn)
virtual bool | operator() (const char[]) noexcept override
| Define in subclass: receive an error or warning message from the database. More...
Public Member Functions inherited from pqxx::errorhandler
| errorhandler (connection_base &)
virtual | ~errorhandler ()

## Detailed Description

An error handler that suppresses any previously registered error handlers.

## Constructor & Destructor Documentation

## quiet_errorhandler()

pqxx::quiet_errorhandler::quiet_errorhandler | ( | connection_base & | conn | ) |

## Member Function Documentation

## operator()()

virtual bool pqxx::quiet_errorhandler::operator() | ( | const char | msg[] | ) |

override virtual noexcept

Define in subclass: receive an error or warning message from the database.

Returns
  Whether the same error message should also be passed to the remaining, older errorhandlers.

Implements pqxx::errorhandler.

The documentation for this class was generated from the following file:

- errorhandler.hxx